summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMounir Lamouri <volkmar@gentoo.org>2008-10-15 20:19:51 +0000
committerMounir Lamouri <volkmar@gentoo.org>2008-10-15 20:19:51 +0000
commit1cd66262cd7f62b20855d504611cc3c93c9d8ad3 (patch)
tree768e26623fae3fbdc8518e6840a6c29910c8b203
parentdev-python/pysvn: Version bump (diff)
downloadsunrise-1cd66262cd7f62b20855d504611cc3c93c9d8ad3.tar.gz
sunrise-1cd66262cd7f62b20855d504611cc3c93c9d8ad3.tar.bz2
sunrise-1cd66262cd7f62b20855d504611cc3c93c9d8ad3.zip
games-arcade/openalchemist: New Ebuild for bug 241846. Original ebuild from Ludovic Fauvet <etix@l0cal.com>.
svn path=/sunrise/; revision=7228
-rw-r--r--games-arcade/openalchemist/ChangeLog10
-rw-r--r--games-arcade/openalchemist/Manifest5
-rw-r--r--games-arcade/openalchemist/files/openalchemist-0.3-gentoo.patch19
-rw-r--r--games-arcade/openalchemist/metadata.xml5
-rw-r--r--games-arcade/openalchemist/openalchemist-0.3.ebuild49
5 files changed, 88 insertions, 0 deletions
diff --git a/games-arcade/openalchemist/ChangeLog b/games-arcade/openalchemist/ChangeLog
new file mode 100644
index 000000000..be1faf5b4
--- /dev/null
+++ b/games-arcade/openalchemist/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for games-arcade/openalchemist
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 15 Oct 2008; Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
+ +openalchemist-0.3.ebuild, +files/openalchemist-0.3-gentoo.patch,
+ +metadata.xml:
+ New Ebuild for bug 241846. Original ebuild from Ludovic Fauvet
+ <etix@l0cal.com>.
+
diff --git a/games-arcade/openalchemist/Manifest b/games-arcade/openalchemist/Manifest
new file mode 100644
index 000000000..2acf15add
--- /dev/null
+++ b/games-arcade/openalchemist/Manifest
@@ -0,0 +1,5 @@
+AUX openalchemist-0.3-gentoo.patch 502 RMD160 20ebc1185123464e21195023334ff66ac7168345 SHA1 83568d9bb26a9c8898369ff4a56c0d73f533389c SHA256 a466e782cb7470a87de5a1307e3f2553b13533e503b04f78e76df39e927088f8
+DIST openalchemist-0.3-src.tar.gz 5936792 RMD160 8cfa22c0907219c7cf330bc55b79fc138ef48559 SHA1 d496f2e37f2c468cef3055dec4a39426c6758d27 SHA256 6f869ba8424f1f861a021b595c2b78b6e5740f56758f19b00f3bc7dc9105cc89
+EBUILD openalchemist-0.3.ebuild 1134 RMD160 ca3ef666323579d7c3997a67ebf5fce32a070b82 SHA1 74f7a814e235bf846d91269767f20de184aae586 SHA256 ad4ac79ca00ff82060a31661489eb947623998925e4681e95a55ec451ed8cea0
+MISC ChangeLog 365 RMD160 f200fe89937b332cde30b7b18b32134355196047 SHA1 8dec42a6be38e5e9b83cdd2fae2a2a21a2a5450c SHA256 422ed0ade9bfaf9a5bc3a94d0779f75bb5ff590108a5a7e9cafdfb6a52dd80f6
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/games-arcade/openalchemist/files/openalchemist-0.3-gentoo.patch b/games-arcade/openalchemist/files/openalchemist-0.3-gentoo.patch
new file mode 100644
index 000000000..f7050a132
--- /dev/null
+++ b/games-arcade/openalchemist/files/openalchemist-0.3-gentoo.patch
@@ -0,0 +1,19 @@
+--- src/misc.cpp.orig 2008-10-13 23:27:29.000000000 +0200
++++ src/misc.cpp 2008-10-13 23:29:09.000000000 +0200
+@@ -61,6 +61,7 @@
+ {
+ #ifdef DATA_DIR
+ std::string dir = DATA_DIR;
++ dir += "/skins/";
+ #else
+ std::string dir = CL_System::get_exe_path() + get_path_separator() + "skins";
+ #endif
+@@ -75,7 +76,7 @@
+ #else
+ #ifdef DATA_DIR
+ std::string file_path = DATA_DIR;
+- file_path += "/";
++ file_path += "/data/";
+ #else
+ std::string file_path = CL_System::get_exe_path() + "/data";
+ #endif
diff --git a/games-arcade/openalchemist/metadata.xml b/games-arcade/openalchemist/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/games-arcade/openalchemist/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/games-arcade/openalchemist/openalchemist-0.3.ebuild b/games-arcade/openalchemist/openalchemist-0.3.ebuild
new file mode 100644
index 000000000..9e1b7ce02
--- /dev/null
+++ b/games-arcade/openalchemist/openalchemist-0.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils games
+
+DESCRIPTION="NaturalChimie clone written with clanlib"
+HOMEPAGE="http://www.openalchemist.com/"
+SRC_URI="mirror://sourceforge/${PN}/${P}-src.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-games/clanlib-0.8.0"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+S=${WORKDIR}/${P}-src
+
+pkg_setup() {
+ if ! built_with_use dev-games/clanlib opengl sdl ; then
+ eerror "${PN} needs opengl and sdl support in dev-games/clanlib"
+ die "Please emerge dev-games/clanlib with USE=\"opengl sdl\""
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}/${P}-gentoo.patch"
+}
+
+src_install() {
+ dogamesbin build/${PN} || die "dogamesbin failed"
+ dogamesbin ${PN}-config || die "dogamesbin config failed"
+
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r data skins || die "doins failed"
+
+ dodoc NEWS README TODO ChangeLog
+
+ newicon data/logo.png openalchemist.png
+ newicon data/logo_svg.svg openalchemist.svg
+ make_desktop_entry ${PN} OpenAlchemist ${PN}
+
+ prepgamesdirs
+}